/**
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE":
 * The Cocoakit author wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return or, drink a beer in 
 * my honor.
 * ----------------------------------------------------------------------------
 */

#import "CKSingleton.h"

/**
 * This class allows load aux NIB to UIView.
 *
 * @author <a href="mailto:ivan.palmergarcia@gmail.com">Ivan Palmer</a>
 */
@interface CKNibLoader : CKSingleton {
@private
    
    /**
     * The aux view.
     */
    UIView *auxView_;
    
}

/**
 * Provides read-write access to auxView. Connected to Interface Builder.
 */
@property (nonatomic, readwrite, retain) IBOutlet UIView *auxView;

/**
 * Creates the autoreleased view from NIB file.
 *
 * @param nibFile: The name for NIB file to load.
 * @return The autoreleased view from NIB file.
 */
+ (UIView *)loadViewFromNIBFile:(NSString *)nibFile;

@end
