/**
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE":
 * The Cocoakit author wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return or, drink a beer in 
 * my honor.
 * ----------------------------------------------------------------------------
 */

#import "CKSingleton.h"

@implementation CKSingleton

#pragma mark -
#pragma mark Singleton common methods

/**
 * The singleton cannot be autoreleased
 */
- (id)autorelease {
    
    return self;
    
}

/**
 * The singleton cannot be copied to another zone
 */
- (id)copyWithZone:(NSZone *)zone {
    
    return self;
    
}

/**
 * The singleton cannot be released
 */
- (void)release {
    
    //do nothing
    
}

/**
 * The singleton cannot be retained
 */
- (id)retain {
    
    return self;
    
}

/**
 * The singleton retain count denotes that it cannot be released
 */
- (NSUInteger)retainCount {
    
    return NSUIntegerMax;
    
}

@end
